Bug 1577313 - [abrt] remmina: g_type_check_instance_is_fundamentally_a(): remmina killed by SIGSEGV
Summary: [abrt] remmina: g_type_check_instance_is_fundamentally_a(): remmina killed by...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: remmina
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pavel Alexeev
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:15069eb12e1695b3db641f8e079...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-11 17:10 UTC by Mikhail
Modified: 2018-08-23 10:33 UTC (History)
2 users (show)

Fixed In Version: remmina-1.2.31.3-1.fc27 remmina-1.2.31.3-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-23 09:45:14 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (50.71 KB, text/plain)
2018-05-11 17:10 UTC, Mikhail
no flags Details
File: cgroup (399 bytes, text/plain)
2018-05-11 17:10 UTC, Mikhail
no flags Details
File: core_backtrace (20.92 KB, text/plain)
2018-05-11 17:10 UTC, Mikhail
no flags Details
File: cpuinfo (1.24 KB, text/plain)
2018-05-11 17:10 UTC, Mikhail
no flags Details
File: dso_list (13.44 KB, text/plain)
2018-05-11 17:10 UTC, Mikhail
no flags Details
File: environ (5.44 KB, text/plain)
2018-05-11 17:10 UTC, Mikhail
no flags Details
File: exploitable (82 bytes, text/plain)
2018-05-11 17:10 UTC, Mikhail
no flags Details
File: limits (1.29 KB, text/plain)
2018-05-11 17:10 UTC, Mikhail
no flags Details
File: maps (65.00 KB, text/plain)
2018-05-11 17:10 UTC, Mikhail
no flags Details
File: mountinfo (4.07 KB, text/plain)
2018-05-11 17:10 UTC, Mikhail
no flags Details
File: open_fds (1.34 KB, text/plain)
2018-05-11 17:10 UTC, Mikhail
no flags Details
File: proc_pid_status (1.25 KB, text/plain)
2018-05-11 17:10 UTC, Mikhail
no flags Details

Description Mikhail 2018-05-11 17:10:10 UTC
Version-Release number of selected component:
remmina-1.2.0-0.51.20180408.git.6b62986.fc29

Additional info:
reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        remmina
crash_function: g_type_check_instance_is_fundamentally_a
executable:     /usr/bin/remmina
journald_cursor: s=d30ae2cc8e6b442cbfffc0ca3cf2bb5e;i=13fe3;b=ec8910c0e40a4fa1ba6c84c1e0f5cfd1;m=2d4d1cd6c;t=56bdfecba6763;x=62fb8e16a0d7ad02
kernel:         4.17.0-0.rc3.git4.1.fc29.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_type_check_instance_is_fundamentally_a at gtype.c:4025
 #2 ensure_lru_cache_space at gtkicontheme.c:1516
 #3 add_to_lru_cache at gtkicontheme.c:1534
 #4 ensure_in_lru_cache at gtkicontheme.c:1555
 #5 proxy_pixbuf_destroy at gtkicontheme.c:4031
 #6 gdk_pixbuf_finalize at gdk-pixbuf.c:273
 #8 ensure_surface_for_gicon at gtkiconhelper.c:513
 #9 gtk_icon_helper_load_surface at gtkiconhelper.c:566
 #10 gtk_icon_helper_ensure_surface at gtkiconhelper.c:603
 #12 _gtk_icon_helper_draw at gtkiconhelper.c:898

Comment 1 Mikhail 2018-05-11 17:10:15 UTC
Created attachment 1435049 [details]
File: backtrace

Comment 2 Mikhail 2018-05-11 17:10:17 UTC
Created attachment 1435050 [details]
File: cgroup

Comment 3 Mikhail 2018-05-11 17:10:19 UTC
Created attachment 1435051 [details]
File: core_backtrace

Comment 4 Mikhail 2018-05-11 17:10:20 UTC
Created attachment 1435052 [details]
File: cpuinfo

Comment 5 Mikhail 2018-05-11 17:10:22 UTC
Created attachment 1435053 [details]
File: dso_list

Comment 6 Mikhail 2018-05-11 17:10:23 UTC
Created attachment 1435054 [details]
File: environ

Comment 7 Mikhail 2018-05-11 17:10:24 UTC
Created attachment 1435055 [details]
File: exploitable

Comment 8 Mikhail 2018-05-11 17:10:26 UTC
Created attachment 1435056 [details]
File: limits

Comment 9 Mikhail 2018-05-11 17:10:28 UTC
Created attachment 1435057 [details]
File: maps

Comment 10 Mikhail 2018-05-11 17:10:30 UTC
Created attachment 1435058 [details]
File: mountinfo

Comment 11 Mikhail 2018-05-11 17:10:31 UTC
Created attachment 1435059 [details]
File: open_fds

Comment 12 Mikhail 2018-05-11 17:10:32 UTC
Created attachment 1435060 [details]
File: proc_pid_status

Comment 13 Jan Kurik 2018-08-14 10:02:54 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 14 Fedora Update System 2018-08-20 14:39:54 UTC
remmina-1.2.31.3-1.fc27 freerdp-2.0.0-44.rc3.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1a5160a24d

Comment 15 Fedora Update System 2018-08-20 14:41:09 UTC
remmina-1.2.31.3-1.fc28 freerdp-2.0.0-44.rc3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1b66de68ac

Comment 16 Fedora Update System 2018-08-22 00:32:59 UTC
freerdp-2.0.0-44.rc3.fc27, remmina-1.2.31.3-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1a5160a24d

Comment 17 Fedora Update System 2018-08-22 03:12:31 UTC
freerdp-2.0.0-44.rc3.fc28, remmina-1.2.31.3-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1b66de68ac

Comment 18 Fedora Update System 2018-08-23 09:45:14 UTC
freerdp-2.0.0-44.rc3.fc27, remmina-1.2.31.3-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2018-08-23 10:33:07 UTC
freerdp-2.0.0-44.rc3.fc28, remmina-1.2.31.3-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.